FROM terradue/l1-jpn-base:0.5

USER ${NB_USER}

COPY --chown=${NB_USER}:${NB_GID} . ${HOME}

RUN ${CONDA_DIR}/bin/conda env create --file ${HOME}/.binder/environment.yml && ${CONDA_DIR}/bin/conda clean -a -y

RUN ${CONDA_DIR}/envs/env_fastapi/bin/python -m ipykernel install --name env_fastapi

ENV PREFIX ${CONDA_DIR}/envs/env_fastapi

WORKDIR ${HOME}

RUN test -f ${HOME}/.binder/postBuild && chmod +x ${HOME}/.binder/postBuild && ${HOME}/.binder/postBuild || exit 0

ENV PATH="${CONDA_DIR}/envs/env_fastapi/bin:${PATH}"

